#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

requirements = [
    "wradlib>=1.2.1",
    "netCDF4",
    "numpy",
]

setup_requirements = []

test_requirements = []

setup(
    author="Christian Chwala",
    author_email="christian.chwala@kit.edu",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: BSD License",
        "Natural Language :: English",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.4",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ],
    description="Python package to parser RADOLAN binary data files to NetCDF",
    install_requires=requirements,
    license="BSD license",
    long_description="Python package to parser RADOLAN binary data files to NetCDF",
    include_package_data=True,
    keywords="radolan_to_netcdf",
    name="radolan_to_netcdf",
    packages=find_packages(include=["radolan_to_netcdf"]),
    setup_requires=setup_requirements,
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/cchwala/radolan_to_netcdf",
    version="0.1.0",
    zip_safe=False,
)
